New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

issue wenn I use dupe guru to find duplicated photographic #497

Open
Razorback5581 opened this Issue Mar 29, 2018 · 1 comment

Comments

2 participants
@Razorback5581

Razorback5581 commented Mar 29, 2018

Application Identifier: com.hardcoded-software.dupeguru
Application Version: 4.0.3
Mac OS X Version: Version 10.11.6 (assemblage 15G19009)

Traceback (most recent call last):
File "build/dupeGuru.app/Contents/Resources/py/shelve.py", line 111, in getitem
KeyError: 'path:/Users/gunterfoerster/Pictures/dossier 60 ans Ninone/Mes 60 ans Ninone 19-20 mars 2011 (original).aplibrary/Masters/2012/02/05/20120205-233301/DSC_0221_7.jpg'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "build/dupeGuru.app/Contents/Resources/py/cocoa/inter.py", line 259, in pulse
File "build/dupeGuru.app/Contents/Resources/py/hscommon/gui/progress_window.py", line 101, in pulse
File "build/dupeGuru.app/Contents/Resources/py/core/app.py", line 323, in _job_error
File "build/dupeGuru.app/Contents/Resources/py/hscommon/jobprogress/performer.py", line 43, in _async_run
File "build/dupeGuru.app/Contents/Resources/py/core/app.py", line 780, in do
File "build/dupeGuru.app/Contents/Resources/py/core/scanner.py", line 137, in get_dupe_groups
File "build/dupeGuru.app/Contents/Resources/py/core/pe/scanner.py", line 31, in _getmatches
File "build/dupeGuru.app/Contents/Resources/py/core/pe/matchblock.py", line 167, in getmatches
File "build/dupeGuru.app/Contents/Resources/py/core/pe/matchblock.py", line 65, in prepare_pictures
File "build/dupeGuru.app/Contents/Resources/py/core/pe/cache_shelve.py", line 121, in purge_outdated
File "build/dupeGuru.app/Contents/Resources/py/shelve.py", line 113, in getitem
KeyError: b'path:/Users/gunterfoerster/Pictures/dossier 60 ans Ninone/Mes 60 ans Ninone 19-20 mars 2011 (original).aplibrary/Masters/2012/02/05/20120205-233301/DSC_0221_7.jpg'

@Cebtenzzre

This comment has been minimized.

Show comment
Hide comment
@Cebtenzzre

Cebtenzzre May 12, 2018

This should probably be re-titled to something like "[PE] KeyError in getitem".

Cebtenzzre commented May 12, 2018

This should probably be re-titled to something like "[PE] KeyError in getitem".

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment